Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class StringManagerImpl

`java.lang.Object
oracle.jbo.common.StringManager
oracle.jbo.server.StringManagerImpl`

public class StringManagerImpl
extends StringManager

Provides methods for managing localizable messages.

This class provides static methods for obtaining unformatted messages from a resource and performing formatting.

This class ia a wrapper for the standard Java `ResourceBundle` and `MessageFormat` classes.

This class traps exceptions that may occur while constructing messages, and describes the failure in the message that is returned.

Since:
  Jdeveloper 3.0

Field Summary

Fields inherited from class oracle.jbo.common.StringManager
`mLast`

Constructor Summary
`StringManagerImpl()`

Method Summary
`void` | `appendCustomMessageBundles(com.sun.java.util.collections.ArrayList list)`
`com.sun.java.util.collections.Iterator` | `getCustomMessageBundlesIter()`
`void` | `removeCustomMessageBundle(java.lang.String clzName)`
`void` | `setCustomMessageBundles(com.sun.java.util.collections.ArrayList list)`

Methods inherited from class oracle.jbo.common.StringManager
`getDefaultLocale, getGeneralExceptionString, getLocalizedString, getLocalizedString, getLocalizedString, getLocalizedString, getSingleton, getString, getString, getString, getString, getString, getStringFromBundle, getStringInternal, setExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringManagerImpl

    public StringManagerImpl()

Method Detail

### setCustomMessageBundles

    public void setCustomMessageBundles(com.sun.java.util.collections.ArrayList list)

  Specified by:
    `setCustomMessageBundles` in class `StringManager`

### appendCustomMessageBundles

    public void appendCustomMessageBundles(com.sun.java.util.collections.ArrayList list)

  Specified by:
    `appendCustomMessageBundles` in class `StringManager`

### removeCustomMessageBundle

    public void removeCustomMessageBundle(java.lang.String clzName)

  Specified by:
    `removeCustomMessageBundle` in class `StringManager`

### getCustomMessageBundlesIter

    public com.sun.java.util.collections.Iterator getCustomMessageBundlesIter()

  Specified by:
    `getCustomMessageBundlesIter` in class `StringManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.